## monero 0.14.1.2

=== debian/changelog ===
monero (0.14.1.2-2) unstable; urgency=medium

  * Add patch cherry-picked upstream
    to fix check for disconnecting peers when syncing.
  * Declare compliance with Debian Policy 4.4.0.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Sep 2019 10:45:07 +0200

monero (0.14.1.2-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Fix compiling with GCC 9.1.
      Closes: Bug#925780. Thanks to Matthias Klose.

  [ Jonas Smedegaard ]
  * Unfuzz patches.
  * Improve compiler flags for 32bit archs.
    Closes: Bug#910517. Thanks to Emilio Pozuelo Monfort and Adrian Bunk.
  * Improve testsuite:
    + Tell cmake to use python3 for tests.
      Build-depend on python3.
    + Enable test block_weight.
    + Skip test hash-slow-4 segfaulting.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Aug 2019 09:25:04 +0200
