## monero 0.15.0.1

=== debian/changelog ===
monero (0.15.0.1-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:05:44 +0000

monero (0.15.0.1-2) unstable; urgency=medium

  * fix pass cmake the full path to Python3 executable,
    and more reliably exclude failing tests;
    fix build-depend on python3-requests
  * add patch 2002 to avoid privacy breach in documentation
  * use variable $AUTOPKGTEST_TMP (not $ADTTMP)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Dec 2019 00:26:22 +0100

monero (0.15.0.1-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  * declare compliance with Debian Policy 4.4.1
  * include documentation as html and plaintext;
    build-depend on pandoc
  * copyright: drop file no longer shipped upstream
  * drop patch cherry-picked upstream since applied
  * unfuzz patches
  * bump debhelper compatibility level to 10;
    stop explicitly enable parallel build
  * extend patch 2001 to cover linking with system shared librandomx;
    build-depend on librandomx-dev

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Dec 2019 11:21:54 +0100
