=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: monero
 Section: utils
 Priority: optional
-Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  cmake,
@@ -21,16 +22,19 @@
  libgtest-dev,
  libminiupnpc-dev,
  libhidapi-dev [!kfreebsd-any !hurd-any],
+ librandomx-dev,
  libreadline-dev,
  libsodium-dev,
  libssl-dev,
  libunbound-dev,
  libzmq3-dev,
+ pandoc <!nodoc>,
  pkg-config,
  python3 <!nocheck>,
+ python3-requests <!nocheck>,
  qtchooser,
  rapidjson-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://getmonero.org/
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/monero.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/monero
