=== debian/changelog ===
monero (0.16.0.0-2build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:43:29 +0100

monero (0.16.0.0-2) unstable; urgency=medium

  * skip heavy test on architectures without FPU in baseline spec;
    closes: bug#962250, thanks to Adrian Bunk
  * fix support DEB_BUILD_OPTIONS=nocheck

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Jun 2020 14:30:46 +0200

monero (0.16.0.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright: update coverage
  * drop patch cherry-picked from upstream merge-request since adopted
  * unfuzz and update patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jun 2020 15:14:43 +0200

monero (0.15.0.5-2) unstable; urgency=medium

  * fix link with libatomic on armel/mipsel/powerpc;
    see bug#961100, thanks to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 May 2020 16:06:30 +0200

monero (0.15.0.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.5.0
  * watch: set dversionmangle=auto
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * add patch cherry-picked (proposed) upstream
    to fix missing test name in unit test
  * have dh_dwz skip file failing with "Unknown DWARF DW_OP_255";
    see bug#949296

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Mar 2020 12:06:10 +0100
