=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  cmake,
- debhelper,
+ debhelper-compat (= 12),
  doxygen,
  graphviz,
  libboost-chrono-dev,
@@ -34,7 +34,7 @@
  python3-requests <!nocheck>,
  qtchooser,
  rapidjson-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://getmonero.org/
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/monero.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/monero
