=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # explicitly link with libatomic
 # to work around gcc bug <https://gcc.gnu.org/bugzilla/show_bug.cgi?id=81358>
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
-export DEB_LDFLAGS_MAINT_APPEND = -latomic
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed -latomic -Wl,--as-needed
 endif
 
 DH_OPTIONS = -O--buildsystem=cmake
@@ -35,6 +35,11 @@
 # skip slow tests
 TEST_EXCLUDE += core_tests
 
+# skip heavy test on architectures without FPU in baseline spec
+ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel m68k))
+TEST_EXCLUDE += hash-variant2-int-sqrt
+endif
+
 # skip tests possibly broken
 TEST_EXCLUDE += $(if $(DEB_SUITE_EXP),,cnv4-jit hash-slow-4)
 
@@ -45,10 +50,12 @@
 	dh_auto_build
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	HOME="${FAKEHOME}" \
 	GTEST_FILTER="$(GTEST_FILTER)" \
 		dh_auto_test -- ARGS+="--output-on-failure -E '$(subst $() ,|,$(TEST_EXCLUDE))'" \
 		$(if $(DEB_SUITE_EXP),|| true)
+endif
 
 override_dh_missing:
 	dh_missing --fail-missing
@@ -59,6 +66,10 @@
 
 override_dh_installdocs:
 	dh_installdocs --all -- $(DOCS)
+
+# skip file failing with "Unknown DWARF DW_OP_255" (see bug#949296)
+override_dh_dwz:
+	dh_dwz --exclude=usr/lib/monero/tests/bin/performance_tests
 
 override_dh_clean:
 	dh_clean -- $(DOCS)
