=== debian/changelog ===
monero (0.17.2.0+~0+20200826-1ubuntu4) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 16:01:13 +0100

monero (0.17.2.0+~0+20200826-1ubuntu3) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:39:41 +0000

monero (0.17.2.0+~0+20200826-1ubuntu2) impish; urgency=medium

  * Build with -O1 on riscv64 to avoid link error (LP: #1940505)
  * Limit parallelism only on certain architectures

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Sep 2021 16:11:23 +0000

monero (0.17.2.0+~0+20200826-1ubuntu1) impish; urgency=medium

  * d/rules: build with --no-parallel to avoid OOM FTBFS

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 10 Aug 2021 13:00:17 +0200

monero (0.17.2.0+~0+20200826-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright info: fix main source URI
  * update Homepage URI

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 May 2021 19:27:41 +0200

monero (0.17.1.9+~0+20200826-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches
  * modernize source script copyright-check
  * copyright:
    + update coverage
    + update source URL
  * embed supercop, and wiggle it into place during build
  * add patch 2003 to fix Boost build failure;
    closes: bug#973196,
    thanks to Lucas Nussbaum, Xiphon, ErCiccione and MJ
  * declare compliance with Debian Policy 4.5.1
  * use debhelper compatibility level 13 (not 12)
  * unfuzz patch 2001
  * update TODOs

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Jan 2021 14:23:06 +0100
